# gtkmm Enums and Flags

## Enumerations

enum | Gtk::License { Gtk::LICENSE_UNKNOWN, Gtk::LICENSE_CUSTOM, Gtk::LICENSE_GPL_2_0, Gtk::LICENSE_GPL_3_0, Gtk::LICENSE_LGPL_2_1, Gtk::LICENSE_LGPL_3_0, Gtk::LICENSE_BSD, Gtk::LICENSE_MIT_X11, Gtk::LICENSE_ARTISTIC }
enum | Gtk::AssistantPageType { Gtk::ASSISTANT_PAGE_CONTENT, Gtk::ASSISTANT_PAGE_INTRO, Gtk::ASSISTANT_PAGE_CONFIRM, Gtk::ASSISTANT_PAGE_SUMMARY, Gtk::ASSISTANT_PAGE_PROGRESS, Gtk::ASSISTANT_PAGE_CUSTOM }
enum | Gtk::PackOptions { Gtk::PACK_SHRINK, Gtk::PACK_EXPAND_PADDING, Gtk::PACK_EXPAND_WIDGET }
| Packing options for adding child widgets to a Box with pack_start() and pack_end(). More...
enum | { Gtk::BUTTONBOX_DEFAULT_SPACING = -1 }
enum | Gtk::CalendarDisplayOptions { Gtk::CALENDAR_SHOW_HEADING = 1 << 0, Gtk::CALENDAR_SHOW_DAY_NAMES = 1 << 1, Gtk::CALENDAR_NO_MONTH_CHANGE = 1 << 2, Gtk::CALENDAR_SHOW_WEEK_NUMBERS = 1 << 3, Gtk::CALENDAR_SHOW_DETAILS = 1 << 5 }
enum | Gtk::CellRendererState { Gtk::CELL_RENDERER_SELECTED = 1 << 0, Gtk::CELL_RENDERER_PRELIT = 1 << 1, Gtk::CELL_RENDERER_INSENSITIVE = 1 << 2, Gtk::CELL_RENDERER_SORTED = 1 << 3, Gtk::CELL_RENDERER_FOCUSED = 1 << 4 }
enum | Gtk::CellRendererMode { Gtk::CELL_RENDERER_MODE_INERT, Gtk::CELL_RENDERER_MODE_ACTIVATABLE, Gtk::CELL_RENDERER_MODE_EDITABLE }
enum | Gtk::CellRendererAccelMode { Gtk::CELL_RENDERER_ACCEL_MODE_GTK, Gtk::CELL_RENDERER_ACCEL_MODE_OTHER }
enum | Gtk::ResponseType { Gtk::RESPONSE_NONE = -1, Gtk::RESPONSE_REJECT = -2, Gtk::RESPONSE_ACCEPT = -3, Gtk::RESPONSE_DELETE_EVENT = -4, Gtk::RESPONSE_OK = -5, Gtk::RESPONSE_CANCEL = -6, Gtk::RESPONSE_CLOSE = -7, Gtk::RESPONSE_YES = -8, Gtk::RESPONSE_NO = -9, Gtk::RESPONSE_APPLY = -10, Gtk::RESPONSE_HELP = -11 }
enum | Gtk::EntryIconPosition { Gtk::ENTRY_ICON_PRIMARY, Gtk::ENTRY_ICON_SECONDARY }
enum | Gtk::AccelFlags { Gtk::ACCEL_VISIBLE = 1 << 0, Gtk::ACCEL_LOCKED = 1 << 1, Gtk::ACCEL_MASK = 0x07 }
enum | Gtk::Align { Gtk::ALIGN_FILL, Gtk::ALIGN_START, Gtk::ALIGN_END, Gtk::ALIGN_CENTER }
enum | Gtk::ArrowType { Gtk::ARROW_UP, Gtk::ARROW_DOWN, Gtk::ARROW_LEFT, Gtk::ARROW_RIGHT, Gtk::ARROW_NONE }
| Used to indicate the direction in which a Gtk::Arrow should point. More...
enum | Gtk::AttachOptions { Gtk::EXPAND = 1 << 0, Gtk::SHRINK = 1 << 1, Gtk::FILL = 1 << 2 }
| Denotes the expansion properties that a widget will have when it (or its parent) is resized. More...
enum | Gtk::DeleteType { Gtk::DELETE_CHARS, Gtk::DELETE_WORD_ENDS, Gtk::DELETE_WORDS, Gtk::DELETE_DISPLAY_LINES, Gtk::DELETE_DISPLAY_LINE_ENDS, Gtk::DELETE_PARAGRAPH_ENDS, Gtk::DELETE_PARAGRAPHS, Gtk::DELETE_WHITESPACE }
enum | Gtk::DirectionType { Gtk::DIR_TAB_FORWARD, Gtk::DIR_TAB_BACKWARD, Gtk::DIR_UP, Gtk::DIR_DOWN, Gtk::DIR_LEFT, Gtk::DIR_RIGHT }
enum | Gtk::ExpanderStyle { Gtk::EXPANDER_COLLAPSED, Gtk::EXPANDER_SEMI_COLLAPSED, Gtk::EXPANDER_SEMI_EXPANDED, Gtk::EXPANDER_EXPANDED }
enum | Gtk::BuiltinIconSize { Gtk::ICON_SIZE_INVALID, Gtk::ICON_SIZE_MENU, Gtk::ICON_SIZE_SMALL_TOOLBAR, Gtk::ICON_SIZE_LARGE_TOOLBAR, Gtk::ICON_SIZE_BUTTON, Gtk::ICON_SIZE_DND, Gtk::ICON_SIZE_DIALOG }
enum | Gtk::TextDirection { Gtk::TEXT_DIR_NONE, Gtk::TEXT_DIR_LTR, Gtk::TEXT_DIR_RTL }
enum | Gtk::Justification { Gtk::JUSTIFY_LEFT, Gtk::JUSTIFY_RIGHT, Gtk::JUSTIFY_CENTER, Gtk::JUSTIFY_FILL }
enum | Gtk::MenuDirectionType { Gtk::MENU_DIR_PARENT, Gtk::MENU_DIR_CHILD, Gtk::MENU_DIR_NEXT, Gtk::MENU_DIR_PREV }
enum | Gtk::MessageType { Gtk::MESSAGE_INFO, Gtk::MESSAGE_WARNING, Gtk::MESSAGE_QUESTION, Gtk::MESSAGE_ERROR, Gtk::MESSAGE_OTHER }
enum | Gtk::MovementStep { Gtk::MOVEMENT_LOGICAL_POSITIONS, Gtk::MOVEMENT_VISUAL_POSITIONS, Gtk::MOVEMENT_WORDS, Gtk::MOVEMENT_DISPLAY_LINES, Gtk::MOVEMENT_DISPLAY_LINE_ENDS, Gtk::MOVEMENT_PARAGRAPHS, Gtk::MOVEMENT_PARAGRAPH_ENDS, Gtk::MOVEMENT_PAGES, Gtk::MOVEMENT_BUFFER_ENDS, Gtk::MOVEMENT_HORIZONTAL_PAGES }
enum | Gtk::Orientation { Gtk::ORIENTATION_HORIZONTAL, Gtk::ORIENTATION_VERTICAL }
enum | Gtk::CornerType { Gtk::CORNER_TOP_LEFT, Gtk::CORNER_BOTTOM_LEFT, Gtk::CORNER_TOP_RIGHT, Gtk::CORNER_BOTTOM_RIGHT }
enum | Gtk::PackType { Gtk::PACK_START, Gtk::PACK_END }
enum | Gtk::PathPriorityType { Gtk::PATH_PRIO_LOWEST = 0, Gtk::PATH_PRIO_GTK = 4, Gtk::PATH_PRIO_APPLICATION = 8, Gtk::PATH_PRIO_THEME = 10, Gtk::PATH_PRIO_RC = 12, Gtk::PATH_PRIO_HIGHEST = 15 }
enum | Gtk::PathType { Gtk::PATH_WIDGET, Gtk::PATH_WIDGET_CLASS, Gtk::PATH_CLASS }
enum | Gtk::PolicyType { Gtk::POLICY_ALWAYS, Gtk::POLICY_AUTOMATIC, Gtk::POLICY_NEVER }
enum | Gtk::PositionType { Gtk::POS_LEFT, Gtk::POS_RIGHT, Gtk::POS_TOP, Gtk::POS_BOTTOM }
enum | Gtk::ReliefStyle { Gtk::RELIEF_NORMAL, Gtk::RELIEF_HALF, Gtk::RELIEF_NONE }
enum | Gtk::ResizeMode { Gtk::RESIZE_PARENT, Gtk::RESIZE_QUEUE, Gtk::RESIZE_IMMEDIATE }
enum | Gtk::ScrollType { Gtk::SCROLL_NONE, Gtk::SCROLL_JUMP, Gtk::SCROLL_STEP_BACKWARD, Gtk::SCROLL_STEP_FORWARD, Gtk::SCROLL_PAGE_BACKWARD, Gtk::SCROLL_PAGE_FORWARD, Gtk::SCROLL_STEP_UP, Gtk::SCROLL_STEP_DOWN, Gtk::SCROLL_PAGE_UP, Gtk::SCROLL_PAGE_DOWN, Gtk::SCROLL_STEP_LEFT, Gtk::SCROLL_STEP_RIGHT, Gtk::SCROLL_PAGE_LEFT, Gtk::SCROLL_PAGE_RIGHT, Gtk::SCROLL_START, Gtk::SCROLL_END }
enum | Gtk::SelectionMode { Gtk::SELECTION_NONE, Gtk::SELECTION_SINGLE, Gtk::SELECTION_BROWSE, Gtk::SELECTION_MULTIPLE }
enum | Gtk::ShadowType { Gtk::SHADOW_NONE, Gtk::SHADOW_IN, Gtk::SHADOW_OUT, Gtk::SHADOW_ETCHED_IN, Gtk::SHADOW_ETCHED_OUT }
enum | Gtk::StateType { Gtk::STATE_NORMAL, Gtk::STATE_ACTIVE, Gtk::STATE_PRELIGHT, Gtk::STATE_SELECTED, Gtk::STATE_INSENSITIVE, Gtk::STATE_INCONSISTENT, Gtk::STATE_FOCUSED }
enum | Gtk::TargetFlags { Gtk::TARGET_SAME_APP = 1 << 0, Gtk::TARGET_SAME_WIDGET = 1 << 1, Gtk::TARGET_OTHER_APP = 1 << 2, Gtk::TARGET_OTHER_WIDGET = 1 << 3 }
enum | Gtk::ToolbarStyle { Gtk::TOOLBAR_ICONS, Gtk::TOOLBAR_TEXT, Gtk::TOOLBAR_BOTH, Gtk::TOOLBAR_BOTH_HORIZ }
enum | Gtk::WindowPosition { Gtk::WIN_POS_NONE, Gtk::WIN_POS_CENTER, Gtk::WIN_POS_MOUSE, Gtk::WIN_POS_CENTER_ALWAYS, Gtk::WIN_POS_CENTER_ON_PARENT }
enum | Gtk::WindowType { Gtk::WINDOW_TOPLEVEL, Gtk::WINDOW_POPUP }
enum | Gtk::WrapMode { Gtk::WRAP_NONE, Gtk::WRAP_CHAR, Gtk::WRAP_WORD, Gtk::WRAP_WORD_CHAR }
enum | Gtk::SortType { Gtk::SORT_ASCENDING, Gtk::SORT_DESCENDING }
enum | Gtk::PageOrientation { Gtk::PAGE_ORIENTATION_PORTRAIT, Gtk::PAGE_ORIENTATION_LANDSCAPE, Gtk::PAGE_ORIENTATION_REVERSE_PORTRAIT, Gtk::PAGE_ORIENTATION_REVERSE_LANDSCAPE }
enum | Gtk::SensitivityType { Gtk::SENSITIVITY_AUTO, Gtk::SENSITIVITY_ON, Gtk::SENSITIVITY_OFF }
enum | Gtk::SizeRequestMode { Gtk::SIZE_REQUEST_HEIGHT_FOR_WIDTH, Gtk::SIZE_REQUEST_WIDTH_FOR_HEIGHT }
enum | Gtk::RegionFlags { Gtk::REGION_EVEN = 1 << 0, Gtk::REGION_ODD = 1 << 1, Gtk::REGION_FIRST = 1 << 2, Gtk::REGION_LAST = 1 << 3, Gtk::REGION_SORTED = 1 << 5 }
enum | Gtk::JunctionSides { Gtk::JUNCTION_NONE = 0x0, Gtk::JUNCTION_CORNER_TOPLEFT = 1 << 0, Gtk::JUNCTION_CORNER_TOPRIGHT = 1 << 1, Gtk::JUNCTION_CORNER_BOTTOMLEFT = 1 << 2, Gtk::JUNCTION_CORNER_BOTTOMRIGHT = 1 << 3, Gtk::JUNCTION_TOP = 0x3, Gtk::JUNCTION_BOTTOM = 0xC, Gtk::JUNCTION_LEFT = 0x5, Gtk::JUNCTION_RIGHT = 0xA }
enum | Gtk::StateFlags { Gtk::STATE_FLAG_NORMAL = 0x0, Gtk::STATE_FLAG_ACTIVE = 1 << 0, Gtk::STATE_FLAG_PRELIGHT = 1 << 1, Gtk::STATE_FLAG_SELECTED = 1 << 2, Gtk::STATE_FLAG_INSENSITIVE = 1 << 3, Gtk::STATE_FLAG_INCONSISTENT = 1 << 4, Gtk::STATE_FLAG_FOCUSED = 1 << 5 }
enum | Gtk::FileChooserAction { Gtk::FILE_CHOOSER_ACTION_OPEN, Gtk::FILE_CHOOSER_ACTION_SAVE, Gtk::FILE_CHOOSER_ACTION_SELECT_FOLDER, Gtk::FILE_CHOOSER_ACTION_CREATE_FOLDER }
enum | Gtk::FileChooserConfirmation { Gtk::FILE_CHOOSER_CONFIRMATION_CONFIRM, Gtk::FILE_CHOOSER_CONFIRMATION_ACCEPT_FILENAME, Gtk::FILE_CHOOSER_CONFIRMATION_SELECT_AGAIN }
enum | Gtk::FileFilterFlags { Gtk::FILE_FILTER_FILENAME = 1 << 0, Gtk::FILE_FILTER_URI = 1 << 1, Gtk::FILE_FILTER_DISPLAY_NAME = 1 << 2, Gtk::FILE_FILTER_MIME_TYPE = 1 << 3 }
enum | Gtk::IconLookupFlags { Gtk::ICON_LOOKUP_NO_SVG = 1 << 0, Gtk::ICON_LOOKUP_FORCE_SVG = 1 << 1, Gtk::ICON_LOOKUP_USE_BUILTIN = 1 << 2, Gtk::ICON_LOOKUP_GENERIC_FALLBACK = 1 << 3, Gtk::ICON_LOOKUP_FORCE_SIZE = 1 << 4 }
enum | Gtk::IconViewDropPosition { Gtk::ICON_VIEW_NO_DROP, Gtk::ICON_VIEW_DROP_INTO, Gtk::ICON_VIEW_DROP_LEFT, Gtk::ICON_VIEW_DROP_RIGHT, Gtk::ICON_VIEW_DROP_ABOVE, Gtk::ICON_VIEW_DROP_BELOW }
enum | Gtk::ImageType { Gtk::IMAGE_EMPTY, Gtk::IMAGE_PIXBUF, Gtk::IMAGE_STOCK, Gtk::IMAGE_ICON_SET, Gtk::IMAGE_ANIMATION, Gtk::IMAGE_ICON_NAME, Gtk::IMAGE_GICON }
enum | Gtk::PackDirection { Gtk::PACK_DIRECTION_LTR, Gtk::PACK_DIRECTION_RTL, Gtk::PACK_DIRECTION_TTB, Gtk::PACK_DIRECTION_BTT }
enum | Gtk::ButtonsType { Gtk::BUTTONS_NONE, Gtk::BUTTONS_OK, Gtk::BUTTONS_CLOSE, Gtk::BUTTONS_CANCEL, Gtk::BUTTONS_YES_NO, Gtk::BUTTONS_OK_CANCEL }
enum | Gtk::NotebookTab { Gtk::NOTEBOOK_TAB_FIRST, Gtk::NOTEBOOK_TAB_LAST }
enum | Gtk::Unit { Gtk::UNIT_PIXEL, Gtk::UNIT_POINTS, Gtk::UNIT_INCH, Gtk::UNIT_MM }
enum | Gtk::PrintStatus { Gtk::PRINT_STATUS_INITIAL, Gtk::PRINT_STATUS_PREPARING, Gtk::PRINT_STATUS_GENERATING_DATA, Gtk::PRINT_STATUS_SENDING_DATA, Gtk::PRINT_STATUS_PENDING, Gtk::PRINT_STATUS_PENDING_ISSUE, Gtk::PRINT_STATUS_PRINTING, Gtk::PRINT_STATUS_FINISHED, Gtk::PRINT_STATUS_FINISHED_ABORTED }
enum | Gtk::PrintOperationResult { Gtk::PRINT_OPERATION_RESULT_ERROR, Gtk::PRINT_OPERATION_RESULT_APPLY, Gtk::PRINT_OPERATION_RESULT_CANCEL, Gtk::PRINT_OPERATION_RESULT_IN_PROGRESS }
enum | Gtk::PrintOperationAction { Gtk::PRINT_OPERATION_ACTION_PRINT_DIALOG, Gtk::PRINT_OPERATION_ACTION_PRINT, Gtk::PRINT_OPERATION_ACTION_PREVIEW, Gtk::PRINT_OPERATION_ACTION_EXPORT }
enum | Gtk::PrintDuplex { Gtk::PRINT_DUPLEX_SIMPLEX, Gtk::PRINT_DUPLEX_HORIZONTAL, Gtk::PRINT_DUPLEX_VERTICAL }
enum | Gtk::PrintQuality { Gtk::PRINT_QUALITY_LOW, Gtk::PRINT_QUALITY_NORMAL, Gtk::PRINT_QUALITY_HIGH, Gtk::PRINT_QUALITY_DRAFT }
enum | Gtk::PrintPages { Gtk::PRINT_PAGES_ALL, Gtk::PRINT_PAGES_CURRENT, Gtk::PRINT_PAGES_RANGES, Gtk::PRINT_PAGES_SELECTION }
enum | Gtk::PageSet { Gtk::PAGE_SET_ALL, Gtk::PAGE_SET_EVEN, Gtk::PAGE_SET_ODD }

enum

Gtk::NumberUpLayout {
Gtk::NUMBER_UP_LAYOUT_LEFT_TO_RIGHT_TOP_TO_BOTTOM,
Gtk::NUMBER_UP_LAYOUT_LEFT_TO_RIGHT_BOTTOM_TO_TOP,
Gtk::NUMBER_UP_LAYOUT_RIGHT_TO_LEFT_TOP_TO_BOTTOM,
Gtk::NUMBER_UP_LAYOUT_RIGHT_TO_LEFT_BOTTOM_TO_TOP,
Gtk::NUMBER_UP_LAYOUT_TOP_TO_BOTTOM_LEFT_TO_RIGHT,
Gtk::NUMBER_UP_LAYOUT_TOP_TO_BOTTOM_RIGHT_TO_LEFT,
Gtk::NUMBER_UP_LAYOUT_BOTTOM_TO_TOP_LEFT_TO_RIGHT,
Gtk::NUMBER_UP_LAYOUT_BOTTOM_TO_TOP_RIGHT_TO_LEFT
}

enum | Gtk::RecentSortType { Gtk::RECENT_SORT_NONE, Gtk::RECENT_SORT_MRU, Gtk::RECENT_SORT_LRU, Gtk::RECENT_SORT_CUSTOM }
enum | Gtk::RecentFilterFlags { Gtk::RECENT_FILTER_URI = 1 << 0, Gtk::RECENT_FILTER_DISPLAY_NAME = 1 << 1, Gtk::RECENT_FILTER_MIME_TYPE = 1 << 2, Gtk::RECENT_FILTER_APPLICATION = 1 << 3, Gtk::RECENT_FILTER_GROUP = 1 << 4, Gtk::RECENT_FILTER_AGE = 1 << 5 }
enum | Gtk::ScrollablePolicy { Gtk::SCROLL_MINIMUM, Gtk::SCROLL_NATURAL }
enum | Gtk::SizeGroupMode { Gtk::SIZE_GROUP_NONE, Gtk::SIZE_GROUP_HORIZONTAL, Gtk::SIZE_GROUP_VERTICAL, Gtk::SIZE_GROUP_BOTH }
enum | Gtk::SpinButtonUpdatePolicy { Gtk::UPDATE_ALWAYS, Gtk::UPDATE_IF_VALID }
enum | Gtk::SpinType { Gtk::SPIN_STEP_FORWARD, Gtk::SPIN_STEP_BACKWARD, Gtk::SPIN_PAGE_FORWARD, Gtk::SPIN_PAGE_BACKWARD, Gtk::SPIN_HOME, Gtk::SPIN_END, Gtk::SPIN_USER_DEFINED }
enum | { Gtk::INPUT_ERROR = -1 }
enum | Gtk::TextSearchFlags { Gtk::TEXT_SEARCH_VISIBLE_ONLY = 1 << 0, Gtk::TEXT_SEARCH_TEXT_ONLY = 1 << 1, Gtk::TEXT_SEARCH_CASE_INSENSITIVE = 1 << 2 }
enum | Gtk::TextWindowType { Gtk::TEXT_WINDOW_PRIVATE, Gtk::TEXT_WINDOW_WIDGET, Gtk::TEXT_WINDOW_TEXT, Gtk::TEXT_WINDOW_LEFT, Gtk::TEXT_WINDOW_RIGHT, Gtk::TEXT_WINDOW_TOP, Gtk::TEXT_WINDOW_BOTTOM }
enum | Gtk::ToolPaletteDragTargets { Gtk::TOOL_PALETTE_DRAG_ITEMS = (1 << 0), Gtk::TOOL_PALETTE_DRAG_GROUPS = (1 << 1) }
enum | Gtk::TreeModelFlags { Gtk::TREE_MODEL_ITERS_PERSIST = 1 << 0, Gtk::TREE_MODEL_LIST_ONLY = 1 << 1 }
enum | Gtk::TreeViewDropPosition { Gtk::TREE_VIEW_DROP_BEFORE, Gtk::TREE_VIEW_DROP_AFTER, Gtk::TREE_VIEW_DROP_INTO_OR_BEFORE, Gtk::TREE_VIEW_DROP_INTO_OR_AFTER }
enum | Gtk::TreeViewGridLines { Gtk::TREE_VIEW_GRID_LINES_NONE, Gtk::TREE_VIEW_GRID_LINES_HORIZONTAL, Gtk::TREE_VIEW_GRID_LINES_VERTICAL, Gtk::TREE_VIEW_GRID_LINES_BOTH }
enum | Gtk::TreeViewColumnSizing { Gtk::TREE_VIEW_COLUMN_GROW_ONLY, Gtk::TREE_VIEW_COLUMN_AUTOSIZE, Gtk::TREE_VIEW_COLUMN_FIXED }

enum

Gtk::UIManagerItemType {
Gtk::UI_MANAGER_AUTO = 0x0,
Gtk::UI_MANAGER_MENUBAR = 1 << 0,
Gtk::UI_MANAGER_MENU = 1 << 1,
Gtk::UI_MANAGER_TOOLBAR = 1 << 2,
Gtk::UI_MANAGER_PLACEHOLDER = 1 << 3,
Gtk::UI_MANAGER_POPUP = 1 << 4,
Gtk::UI_MANAGER_MENUITEM = 1 << 5,
Gtk::UI_MANAGER_TOOLITEM = 1 << 6,
Gtk::UI_MANAGER_SEPARATOR = 1 << 7,
Gtk::UI_MANAGER_ACCELERATOR = 1 << 8,
Gtk::UI_MANAGER_POPUP_WITH_ACCELS = 1 << 9
}

enum | Gtk::DestDefaults { Gtk::DEST_DEFAULT_MOTION = 1 << 0, Gtk::DEST_DEFAULT_HIGHLIGHT = 1 << 1, Gtk::DEST_DEFAULT_DROP = 1 << 2, Gtk::DEST_DEFAULT_ALL = 0x07 }
enum | Gtk::WidgetHelpType { Gtk::WIDGET_HELP_TOOLTIP, Gtk::WIDGET_HELP_WHATS_THIS }
enum | Gtk::DragResult { Gtk::DRAG_RESULT_SUCCESS, Gtk::DRAG_RESULT_NO_TARGET, Gtk::DRAG_RESULT_USER_CANCELLED, Gtk::DRAG_RESULT_TIMEOUT_EXPIRED, Gtk::DRAG_RESULT_GRAB_BROKEN, Gtk::DRAG_RESULT_ERROR }

enum

Gtk::PrintCapabilities {
Gtk::PRINT_CAPABILITY_PAGE_SET = 1 << 0,
Gtk::PRINT_CAPABILITY_COPIES = 1 << 1,
Gtk::PRINT_CAPABILITY_COLLATE = 1 << 2,
Gtk::PRINT_CAPABILITY_REVERSE = 1 << 3,
Gtk::PRINT_CAPABILITY_SCALE = 1 << 4,
Gtk::PRINT_CAPABILITY_GENERATE_PDF = 1 << 5,
Gtk::PRINT_CAPABILITY_GENERATE_PS = 1 << 6,
Gtk::PRINT_CAPABILITY_PREVIEW = 1 << 7,
Gtk::PRINT_CAPABILITY_NUMBER_UP = 1 << 8,
Gtk::PRINT_CAPABILITY_NUMBER_UP_LAYOUT = 1 << 9
}

## Functions

CalendarDisplayOptions | Gtk::operator| (CalendarDisplayOptions lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions | Gtk::operator& (CalendarDisplayOptions lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions | Gtk::operator^ (CalendarDisplayOptions lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions | Gtk::operator~ (CalendarDisplayOptions flags)
CalendarDisplayOptions& | Gtk::operator|= (CalendarDisplayOptions& lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions& | Gtk::operator&= (CalendarDisplayOptions& lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions& | Gtk::operator^= (CalendarDisplayOptions& lhs, CalendarDisplayOptions rhs)
CellRendererState | Gtk::operator| (CellRendererState lhs, CellRendererState rhs)
CellRendererState | Gtk::operator& (CellRendererState lhs, CellRendererState rhs)
CellRendererState | Gtk::operator^ (CellRendererState lhs, CellRendererState rhs)
CellRendererState | Gtk::operator~ (CellRendererState flags)
CellRendererState& | Gtk::operator|= (CellRendererState& lhs, CellRendererState rhs)
CellRendererState& | Gtk::operator&= (CellRendererState& lhs, CellRendererState rhs)
CellRendererState& | Gtk::operator^= (CellRendererState& lhs, CellRendererState rhs)
AccelFlags | Gtk::operator| (AccelFlags lhs, AccelFlags rhs)
AccelFlags | Gtk::operator& (AccelFlags lhs, AccelFlags rhs)
AccelFlags | Gtk::operator^ (AccelFlags lhs, AccelFlags rhs)
AccelFlags | Gtk::operator~ (AccelFlags flags)
AccelFlags& | Gtk::operator|= (AccelFlags& lhs, AccelFlags rhs)
AccelFlags& | Gtk::operator&= (AccelFlags& lhs, AccelFlags rhs)
AccelFlags& | Gtk::operator^= (AccelFlags& lhs, AccelFlags rhs)
AttachOptions | Gtk::operator| (AttachOptions lhs, AttachOptions rhs)
AttachOptions | Gtk::operator& (AttachOptions lhs, AttachOptions rhs)
AttachOptions | Gtk::operator^ (AttachOptions lhs, AttachOptions rhs)
AttachOptions | Gtk::operator~ (AttachOptions flags)
AttachOptions& | Gtk::operator|= (AttachOptions& lhs, AttachOptions rhs)
AttachOptions& | Gtk::operator&= (AttachOptions& lhs, AttachOptions rhs)
AttachOptions& | Gtk::operator^= (AttachOptions& lhs, AttachOptions rhs)
TargetFlags | Gtk::operator| (TargetFlags lhs, TargetFlags rhs)
TargetFlags | Gtk::operator& (TargetFlags lhs, TargetFlags rhs)
TargetFlags | Gtk::operator^ (TargetFlags lhs, TargetFlags rhs)
TargetFlags | Gtk::operator~ (TargetFlags flags)
TargetFlags& | Gtk::operator|= (TargetFlags& lhs, TargetFlags rhs)
TargetFlags& | Gtk::operator&= (TargetFlags& lhs, TargetFlags rhs)
TargetFlags& | Gtk::operator^= (TargetFlags& lhs, TargetFlags rhs)
RegionFlags | Gtk::operator| (RegionFlags lhs, RegionFlags rhs)
RegionFlags | Gtk::operator& (RegionFlags lhs, RegionFlags rhs)
RegionFlags | Gtk::operator^ (RegionFlags lhs, RegionFlags rhs)
RegionFlags | Gtk::operator~ (RegionFlags flags)
RegionFlags& | Gtk::operator|= (RegionFlags& lhs, RegionFlags rhs)
RegionFlags& | Gtk::operator&= (RegionFlags& lhs, RegionFlags rhs)
RegionFlags& | Gtk::operator^= (RegionFlags& lhs, RegionFlags rhs)
JunctionSides | Gtk::operator| (JunctionSides lhs, JunctionSides rhs)
JunctionSides | Gtk::operator& (JunctionSides lhs, JunctionSides rhs)
JunctionSides | Gtk::operator^ (JunctionSides lhs, JunctionSides rhs)
JunctionSides | Gtk::operator~ (JunctionSides flags)
JunctionSides& | Gtk::operator|= (JunctionSides& lhs, JunctionSides rhs)
JunctionSides& | Gtk::operator&= (JunctionSides& lhs, JunctionSides rhs)
JunctionSides& | Gtk::operator^= (JunctionSides& lhs, JunctionSides rhs)
StateFlags | Gtk::operator| (StateFlags lhs, StateFlags rhs)
StateFlags | Gtk::operator& (StateFlags lhs, StateFlags rhs)
StateFlags | Gtk::operator^ (StateFlags lhs, StateFlags rhs)
StateFlags | Gtk::operator~ (StateFlags flags)
StateFlags& | Gtk::operator|= (StateFlags& lhs, StateFlags rhs)
StateFlags& | Gtk::operator&= (StateFlags& lhs, StateFlags rhs)
StateFlags& | Gtk::operator^= (StateFlags& lhs, StateFlags rhs)
FileFilterFlags | Gtk::operator| (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags | Gtk::operator& (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags | Gtk::operator^ (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags | Gtk::operator~ (FileFilterFlags flags)
FileFilterFlags& | Gtk::operator|= (FileFilterFlags& lhs, FileFilterFlags rhs)
FileFilterFlags& | Gtk::operator&= (FileFilterFlags& lhs, FileFilterFlags rhs)
FileFilterFlags& | Gtk::operator^= (FileFilterFlags& lhs, FileFilterFlags rhs)
IconLookupFlags | Gtk::operator| (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | Gtk::operator& (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | Gtk::operator^ (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | Gtk::operator~ (IconLookupFlags flags)
IconLookupFlags& | Gtk::operator|= (IconLookupFlags& lhs, IconLookupFlags rhs)
IconLookupFlags& | Gtk::operator&= (IconLookupFlags& lhs, IconLookupFlags rhs)
IconLookupFlags& | Gtk::operator^= (IconLookupFlags& lhs, IconLookupFlags rhs)
RecentFilterFlags | Gtk::operator| (RecentFilterFlags lhs, RecentFilterFlags rhs)
RecentFilterFlags | Gtk::operator& (RecentFilterFlags lhs, RecentFilterFlags rhs)
RecentFilterFlags | Gtk::operator^ (RecentFilterFlags lhs, RecentFilterFlags rhs)
RecentFilterFlags | Gtk::operator~ (RecentFilterFlags flags)
RecentFilterFlags& | Gtk::operator|= (RecentFilterFlags& lhs, RecentFilterFlags rhs)
RecentFilterFlags& | Gtk::operator&= (RecentFilterFlags& lhs, RecentFilterFlags rhs)
RecentFilterFlags& | Gtk::operator^= (RecentFilterFlags& lhs, RecentFilterFlags rhs)
TextSearchFlags | Gtk::operator| (TextSearchFlags lhs, TextSearchFlags rhs)
TextSearchFlags | Gtk::operator& (TextSearchFlags lhs, TextSearchFlags rhs)
TextSearchFlags | Gtk::operator^ (TextSearchFlags lhs, TextSearchFlags rhs)
TextSearchFlags | Gtk::operator~ (TextSearchFlags flags)
TextSearchFlags& | Gtk::operator|= (TextSearchFlags& lhs, TextSearchFlags rhs)
TextSearchFlags& | Gtk::operator&= (TextSearchFlags& lhs, TextSearchFlags rhs)
TextSearchFlags& | Gtk::operator^= (TextSearchFlags& lhs, TextSearchFlags rhs)
ToolPaletteDragTargets | Gtk::operator| (ToolPaletteDragTargets lhs, ToolPaletteDragTargets rhs)
ToolPaletteDragTargets | Gtk::operator& (ToolPaletteDragTargets lhs, ToolPaletteDragTargets rhs)
ToolPaletteDragTargets | Gtk::operator^ (ToolPaletteDragTargets lhs, ToolPaletteDragTargets rhs)
ToolPaletteDragTargets | Gtk::operator~ (ToolPaletteDragTargets flags)
ToolPaletteDragTargets& | Gtk::operator|= (ToolPaletteDragTargets& lhs, ToolPaletteDragTargets rhs)
ToolPaletteDragTargets& | Gtk::operator&= (ToolPaletteDragTargets& lhs, ToolPaletteDragTargets rhs)
ToolPaletteDragTargets& | Gtk::operator^= (ToolPaletteDragTargets& lhs, ToolPaletteDragTargets rhs)
TreeModelFlags | Gtk::operator| (TreeModelFlags lhs, TreeModelFlags rhs)
TreeModelFlags | Gtk::operator& (TreeModelFlags lhs, TreeModelFlags rhs)
TreeModelFlags | Gtk::operator^ (TreeModelFlags lhs, TreeModelFlags rhs)
TreeModelFlags | Gtk::operator~ (TreeModelFlags flags)
TreeModelFlags& | Gtk::operator|= (TreeModelFlags& lhs, TreeModelFlags rhs)
TreeModelFlags& | Gtk::operator&= (TreeModelFlags& lhs, TreeModelFlags rhs)
TreeModelFlags& | Gtk::operator^= (TreeModelFlags& lhs, TreeModelFlags rhs)
UIManagerItemType | Gtk::operator| (UIManagerItemType lhs, UIManagerItemType rhs)
UIManagerItemType | Gtk::operator& (UIManagerItemType lhs, UIManagerItemType rhs)
UIManagerItemType | Gtk::operator^ (UIManagerItemType lhs, UIManagerItemType rhs)
UIManagerItemType | Gtk::operator~ (UIManagerItemType flags)
UIManagerItemType& | Gtk::operator|= (UIManagerItemType& lhs, UIManagerItemType rhs)
UIManagerItemType& | Gtk::operator&= (UIManagerItemType& lhs, UIManagerItemType rhs)
UIManagerItemType& | Gtk::operator^= (UIManagerItemType& lhs, UIManagerItemType rhs)
DestDefaults | Gtk::operator| (DestDefaults lhs, DestDefaults rhs)
DestDefaults | Gtk::operator& (DestDefaults lhs, DestDefaults rhs)
DestDefaults | Gtk::operator^ (DestDefaults lhs, DestDefaults rhs)
DestDefaults | Gtk::operator~ (DestDefaults flags)
DestDefaults& | Gtk::operator|= (DestDefaults& lhs, DestDefaults rhs)
DestDefaults& | Gtk::operator&= (DestDefaults& lhs, DestDefaults rhs)
DestDefaults& | Gtk::operator^= (DestDefaults& lhs, DestDefaults rhs)
PrintCapabilities | Gtk::operator| (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator& (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator^ (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator~ (PrintCapabilities flags)
PrintCapabilities& | Gtk::operator|= (PrintCapabilities& lhs, PrintCapabilities rhs)
PrintCapabilities& | Gtk::operator&= (PrintCapabilities& lhs, PrintCapabilities rhs)
PrintCapabilities& | Gtk::operator^= (PrintCapabilities& lhs, PrintCapabilities rhs)

## Enumeration Type Documentation

anonymous enum

Enumerator:

  BUTTONBOX_DEFAULT_SPACING |

anonymous enum

Enumerator:

  INPUT_ERROR |

enum Gtk::AccelFlags

Bitwise operators:
  `AccelFlags operator|(AccelFlags, AccelFlags)`
  `AccelFlags operator&(AccelFlags, AccelFlags)`
  `AccelFlags operator^(AccelFlags, AccelFlags)`
  `AccelFlags operator~(AccelFlags)`
  `AccelFlags& operator|=(AccelFlags&, AccelFlags)`
  `AccelFlags& operator&=(AccelFlags&, AccelFlags)`
  `AccelFlags& operator^=(AccelFlags&, AccelFlags)`

Enumerator:

  ACCEL_VISIBLE |
  ACCEL_LOCKED |
  ACCEL_MASK |

enum Gtk::Align

Enumerator:

  ALIGN_FILL |
  ALIGN_START |
  ALIGN_END |
  ALIGN_CENTER |

enum Gtk::ArrowType

Used to indicate the direction in which a Gtk::Arrow should point.

Enumerator:

  ARROW_UP | Represents an upward pointing arrow.
  ARROW_DOWN | Represents a downward pointing arrow.
  ARROW_LEFT | Represents a left pointing arrow.
  ARROW_RIGHT | Represents a right pointing arrow.
  ARROW_NONE |

enum Gtk::AssistantPageType

Enumerator:

  ASSISTANT_PAGE_CONTENT |
  ASSISTANT_PAGE_INTRO |
  ASSISTANT_PAGE_CONFIRM |
  ASSISTANT_PAGE_SUMMARY |
  ASSISTANT_PAGE_PROGRESS |
  ASSISTANT_PAGE_CUSTOM |

enum Gtk::AttachOptions

Denotes the expansion properties that a widget will have when it (or its parent) is resized.

Bitwise operators:
  `AttachOptions operator|(AttachOptions, AttachOptions)`
  `AttachOptions operator&(AttachOptions, AttachOptions)`
  `AttachOptions operator^(AttachOptions, AttachOptions)`
  `AttachOptions operator~(AttachOptions)`
  `AttachOptions& operator|=(AttachOptions&, AttachOptions)`
  `AttachOptions& operator&=(AttachOptions&, AttachOptions)`
  `AttachOptions& operator^=(AttachOptions&, AttachOptions)`

Enumerator:

  EXPAND | The widget should expand to take up any extra space in its container that has been allocated.
  SHRINK | The widget should shrink as and when possible.
  FILL | The widget should fill the space allocated to it.

enum Gtk::BuiltinIconSize

Enumerator:

  ICON_SIZE_INVALID |
  ICON_SIZE_MENU |
  ICON_SIZE_SMALL_TOOLBAR |
  ICON_SIZE_LARGE_TOOLBAR |
  ICON_SIZE_BUTTON |
  ICON_SIZE_DND |
  ICON_SIZE_DIALOG |

enum Gtk::ButtonsType

Enumerator:

  BUTTONS_NONE |
  BUTTONS_OK |
  BUTTONS_CLOSE |
  BUTTONS_CANCEL |
  BUTTONS_YES_NO |
  BUTTONS_OK_CANCEL |

enum Gtk::CalendarDisplayOptions

Bitwise operators:
  `CalendarDisplayOptions operator|(CalendarDisplayOptions, CalendarDisplayOptions)`
  `CalendarDisplayOptions operator&(CalendarDisplayOptions, CalendarDisplayOptions)`
  `CalendarDisplayOptions operator^(CalendarDisplayOptions, CalendarDisplayOptions)`
  `CalendarDisplayOptions operator~(CalendarDisplayOptions)`
  `CalendarDisplayOptions& operator|=(CalendarDisplayOptions&, CalendarDisplayOptions)`
  `CalendarDisplayOptions& operator&=(CalendarDisplayOptions&, CalendarDisplayOptions)`
  `CalendarDisplayOptions& operator^=(CalendarDisplayOptions&, CalendarDisplayOptions)`

Enumerator:

  CALENDAR_SHOW_HEADING |
  CALENDAR_SHOW_DAY_NAMES |
  CALENDAR_NO_MONTH_CHANGE |
  CALENDAR_SHOW_WEEK_NUMBERS |
  CALENDAR_SHOW_DETAILS |

enum Gtk::CellRendererAccelMode

Enumerator:

  CELL_RENDERER_ACCEL_MODE_GTK |
  CELL_RENDERER_ACCEL_MODE_OTHER |

enum Gtk::CellRendererMode

Enumerator:

  CELL_RENDERER_MODE_INERT |
  CELL_RENDERER_MODE_ACTIVATABLE |
  CELL_RENDERER_MODE_EDITABLE |

enum Gtk::CellRendererState

Bitwise operators:
  `CellRendererState operator|(CellRendererState, CellRendererState)`
  `CellRendererState operator&(CellRendererState, CellRendererState)`
  `CellRendererState operator^(CellRendererState, CellRendererState)`
  `CellRendererState operator~(CellRendererState)`
  `CellRendererState& operator|=(CellRendererState&, CellRendererState)`
  `CellRendererState& operator&=(CellRendererState&, CellRendererState)`
  `CellRendererState& operator^=(CellRendererState&, CellRendererState)`

Enumerator:

  CELL_RENDERER_SELECTED |
  CELL_RENDERER_PRELIT |
  CELL_RENDERER_INSENSITIVE |
  CELL_RENDERER_SORTED |
  CELL_RENDERER_FOCUSED |

enum Gtk::CornerType

Enumerator:

  CORNER_TOP_LEFT |
  CORNER_BOTTOM_LEFT |
  CORNER_TOP_RIGHT |
  CORNER_BOTTOM_RIGHT |

enum Gtk::DeleteType

Enumerator:

  DELETE_CHARS |
  DELETE_WORD_ENDS |
  DELETE_WORDS |
  DELETE_DISPLAY_LINES |
  DELETE_DISPLAY_LINE_ENDS |
  DELETE_PARAGRAPH_ENDS |
  DELETE_PARAGRAPHS |
  DELETE_WHITESPACE |

enum Gtk::DestDefaults

Bitwise operators:
  `DestDefaults operator|(DestDefaults, DestDefaults)`
  `DestDefaults operator&(DestDefaults, DestDefaults)`
  `DestDefaults operator^(DestDefaults, DestDefaults)`
  `DestDefaults operator~(DestDefaults)`
  `DestDefaults& operator|=(DestDefaults&, DestDefaults)`
  `DestDefaults& operator&=(DestDefaults&, DestDefaults)`
  `DestDefaults& operator^=(DestDefaults&, DestDefaults)`

Enumerator:

  DEST_DEFAULT_MOTION |
  DEST_DEFAULT_HIGHLIGHT |
  DEST_DEFAULT_DROP |
  DEST_DEFAULT_ALL |

enum Gtk::DirectionType

Enumerator:

  DIR_TAB_FORWARD |
  DIR_TAB_BACKWARD |
  DIR_UP |
  DIR_DOWN |
  DIR_LEFT |
  DIR_RIGHT |

enum Gtk::DragResult

Enumerator:

  DRAG_RESULT_SUCCESS |
  DRAG_RESULT_NO_TARGET |
  DRAG_RESULT_USER_CANCELLED |
  DRAG_RESULT_TIMEOUT_EXPIRED |
  DRAG_RESULT_GRAB_BROKEN |
  DRAG_RESULT_ERROR |

enum Gtk::EntryIconPosition

Enumerator:

  ENTRY_ICON_PRIMARY |
  ENTRY_ICON_SECONDARY |

enum Gtk::ExpanderStyle

Enumerator:

  EXPANDER_COLLAPSED |
  EXPANDER_SEMI_COLLAPSED |
  EXPANDER_SEMI_EXPANDED |
  EXPANDER_EXPANDED |

enum Gtk::FileChooserAction

Enumerator:

  FILE_CHOOSER_ACTION_OPEN |
  FILE_CHOOSER_ACTION_SAVE |
  FILE_CHOOSER_ACTION_SELECT_FOLDER |
  FILE_CHOOSER_ACTION_CREATE_FOLDER |

enum Gtk::FileChooserConfirmation

Enumerator:

  FILE_CHOOSER_CONFIRMATION_CONFIRM |
  FILE_CHOOSER_CONFIRMATION_ACCEPT_FILENAME |
  FILE_CHOOSER_CONFIRMATION_SELECT_AGAIN |

enum Gtk::FileFilterFlags

Bitwise operators:
  `FileFilterFlags operator|(FileFilterFlags, FileFilterFlags)`
  `FileFilterFlags operator&(FileFilterFlags, FileFilterFlags)`
  `FileFilterFlags operator^(FileFilterFlags, FileFilterFlags)`
  `FileFilterFlags operator~(FileFilterFlags)`
  `FileFilterFlags& operator|=(FileFilterFlags&, FileFilterFlags)`
  `FileFilterFlags& operator&=(FileFilterFlags&, FileFilterFlags)`
  `FileFilterFlags& operator^=(FileFilterFlags&, FileFilterFlags)`

Enumerator:

  FILE_FILTER_FILENAME |
  FILE_FILTER_URI |
  FILE_FILTER_DISPLAY_NAME |
  FILE_FILTER_MIME_TYPE |

enum Gtk::IconLookupFlags

Bitwise operators:
  `IconLookupFlags operator|(IconLookupFlags, IconLookupFlags)`
  `IconLookupFlags operator&(IconLookupFlags, IconLookupFlags)`
  `IconLookupFlags operator^(IconLookupFlags, IconLookupFlags)`
  `IconLookupFlags operator~(IconLookupFlags)`
  `IconLookupFlags& operator|=(IconLookupFlags&, IconLookupFlags)`
  `IconLookupFlags& operator&=(IconLookupFlags&, IconLookupFlags)`
  `IconLookupFlags& operator^=(IconLookupFlags&, IconLookupFlags)`

Enumerator:

  ICON_LOOKUP_NO_SVG |
  ICON_LOOKUP_FORCE_SVG |
  ICON_LOOKUP_USE_BUILTIN |
  ICON_LOOKUP_GENERIC_FALLBACK |
  ICON_LOOKUP_FORCE_SIZE |

enum Gtk::IconViewDropPosition

Enumerator:

  ICON_VIEW_NO_DROP |
  ICON_VIEW_DROP_INTO |
  ICON_VIEW_DROP_LEFT |
  ICON_VIEW_DROP_RIGHT |
  ICON_VIEW_DROP_ABOVE |
  ICON_VIEW_DROP_BELOW |

enum Gtk::ImageType

Enumerator:

  IMAGE_EMPTY |
  IMAGE_PIXBUF |
  IMAGE_STOCK |
  IMAGE_ICON_SET |
  IMAGE_ANIMATION |
  IMAGE_ICON_NAME |
  IMAGE_GICON |

enum Gtk::JunctionSides

Bitwise operators:
  `JunctionSides operator|(JunctionSides, JunctionSides)`
  `JunctionSides operator&(JunctionSides, JunctionSides)`
  `JunctionSides operator^(JunctionSides, JunctionSides)`
  `JunctionSides operator~(JunctionSides)`
  `JunctionSides& operator|=(JunctionSides&, JunctionSides)`
  `JunctionSides& operator&=(JunctionSides&, JunctionSides)`
  `JunctionSides& operator^=(JunctionSides&, JunctionSides)`

Enumerator:

  JUNCTION_NONE |
  JUNCTION_CORNER_TOPLEFT |
  JUNCTION_CORNER_TOPRIGHT |
  JUNCTION_CORNER_BOTTOMLEFT |
  JUNCTION_CORNER_BOTTOMRIGHT |
  JUNCTION_TOP |
  JUNCTION_BOTTOM |
  JUNCTION_LEFT |
  JUNCTION_RIGHT |

enum Gtk::Justification

Enumerator:

  JUSTIFY_LEFT |
  JUSTIFY_RIGHT |
  JUSTIFY_CENTER |
  JUSTIFY_FILL |

enum Gtk::License

Enumerator:

  LICENSE_UNKNOWN |
  LICENSE_CUSTOM |
  LICENSE_GPL_2_0 |
  LICENSE_GPL_3_0 |
  LICENSE_LGPL_2_1 |
  LICENSE_LGPL_3_0 |
  LICENSE_BSD |
  LICENSE_MIT_X11 |
  LICENSE_ARTISTIC |

enum Gtk::MenuDirectionType

Enumerator:

  MENU_DIR_PARENT |
  MENU_DIR_CHILD |
  MENU_DIR_NEXT |
  MENU_DIR_PREV |

enum Gtk::MessageType

Enumerator:

  MESSAGE_INFO |
  MESSAGE_WARNING |
  MESSAGE_QUESTION |
  MESSAGE_ERROR |
  MESSAGE_OTHER |

enum Gtk::MovementStep

Enumerator:

  MOVEMENT_LOGICAL_POSITIONS |
  MOVEMENT_VISUAL_POSITIONS |
  MOVEMENT_WORDS |
  MOVEMENT_DISPLAY_LINES |
  MOVEMENT_DISPLAY_LINE_ENDS |
  MOVEMENT_PARAGRAPHS |
  MOVEMENT_PARAGRAPH_ENDS |
  MOVEMENT_PAGES |
  MOVEMENT_BUFFER_ENDS |
  MOVEMENT_HORIZONTAL_PAGES |

enum Gtk::NotebookTab

Enumerator:

  NOTEBOOK_TAB_FIRST |
  NOTEBOOK_TAB_LAST |

enum Gtk::NumberUpLayout

Enumerator:

  NUMBER_UP_LAYOUT_LEFT_TO_RIGHT_TOP_TO_BOTTOM |
  NUMBER_UP_LAYOUT_LEFT_TO_RIGHT_BOTTOM_TO_TOP |
  NUMBER_UP_LAYOUT_RIGHT_TO_LEFT_TOP_TO_BOTTOM |
  NUMBER_UP_LAYOUT_RIGHT_TO_LEFT_BOTTOM_TO_TOP |
  NUMBER_UP_LAYOUT_TOP_TO_BOTTOM_LEFT_TO_RIGHT |
  NUMBER_UP_LAYOUT_TOP_TO_BOTTOM_RIGHT_TO_LEFT |
  NUMBER_UP_LAYOUT_BOTTOM_TO_TOP_LEFT_TO_RIGHT |
  NUMBER_UP_LAYOUT_BOTTOM_TO_TOP_RIGHT_TO_LEFT |

enum Gtk::Orientation

Enumerator:

  ORIENTATION_HORIZONTAL |
  ORIENTATION_VERTICAL |

enum Gtk::PackDirection

Enumerator:

  PACK_DIRECTION_LTR |
  PACK_DIRECTION_RTL |
  PACK_DIRECTION_TTB |
  PACK_DIRECTION_BTT |

enum Gtk::PackOptions

Packing options for adding child widgets to a Box with pack_start() and pack_end().

Enumerator:

  PACK_SHRINK | Space is contracted to the child widget size.
  PACK_EXPAND_PADDING | Space is expanded, with extra space filled with padding.
  PACK_EXPAND_WIDGET | Space is expanded, with extra space filled by increasing the child widget size.

enum Gtk::PackType

Enumerator:

  PACK_START |
  PACK_END |

enum Gtk::PageOrientation

Enumerator:

  PAGE_ORIENTATION_PORTRAIT |
  PAGE_ORIENTATION_LANDSCAPE |
  PAGE_ORIENTATION_REVERSE_PORTRAIT |
  PAGE_ORIENTATION_REVERSE_LANDSCAPE |

enum Gtk::PageSet

Enumerator:

  PAGE_SET_ALL |
  PAGE_SET_EVEN |
  PAGE_SET_ODD |

enum Gtk::PathPriorityType

Enumerator:

  PATH_PRIO_LOWEST |
  PATH_PRIO_GTK |
  PATH_PRIO_APPLICATION |
  PATH_PRIO_THEME |
  PATH_PRIO_RC |
  PATH_PRIO_HIGHEST |

enum Gtk::PathType

Enumerator:

  PATH_WIDGET |
  PATH_WIDGET_CLASS |
  PATH_CLASS |

enum Gtk::PolicyType

Enumerator:

  POLICY_ALWAYS |
  POLICY_AUTOMATIC |
  POLICY_NEVER |

enum Gtk::PositionType

Enumerator:

  POS_LEFT |
  POS_RIGHT |
  POS_TOP |
  POS_BOTTOM |

enum Gtk::PrintCapabilities

Bitwise operators:
  `PrintCapabilities operator|(PrintCapabilities, PrintCapabilities)`
  `PrintCapabilities operator&(PrintCapabilities, PrintCapabilities)`
  `PrintCapabilities operator^(PrintCapabilities, PrintCapabilities)`
  `PrintCapabilities operator~(PrintCapabilities)`
  `PrintCapabilities& operator|=(PrintCapabilities&, PrintCapabilities)`
  `PrintCapabilities& operator&=(PrintCapabilities&, PrintCapabilities)`
  `PrintCapabilities& operator^=(PrintCapabilities&, PrintCapabilities)`

Enumerator:

  PRINT_CAPABILITY_PAGE_SET |
  PRINT_CAPABILITY_COPIES |
  PRINT_CAPABILITY_COLLATE |
  PRINT_CAPABILITY_REVERSE |
  PRINT_CAPABILITY_SCALE |
  PRINT_CAPABILITY_GENERATE_PDF |
  PRINT_CAPABILITY_GENERATE_PS |
  PRINT_CAPABILITY_PREVIEW |
  PRINT_CAPABILITY_NUMBER_UP |
  PRINT_CAPABILITY_NUMBER_UP_LAYOUT |

enum Gtk::PrintDuplex

Enumerator:

  PRINT_DUPLEX_SIMPLEX |
  PRINT_DUPLEX_HORIZONTAL |
  PRINT_DUPLEX_VERTICAL |

enum Gtk::PrintOperationAction

Enumerator:

  PRINT_OPERATION_ACTION_PRINT_DIALOG |
  PRINT_OPERATION_ACTION_PRINT |
  PRINT_OPERATION_ACTION_PREVIEW |
  PRINT_OPERATION_ACTION_EXPORT |

enum Gtk::PrintOperationResult

Enumerator:

  PRINT_OPERATION_RESULT_ERROR |
  PRINT_OPERATION_RESULT_APPLY |
  PRINT_OPERATION_RESULT_CANCEL |
  PRINT_OPERATION_RESULT_IN_PROGRESS |

enum Gtk::PrintPages

Enumerator:

  PRINT_PAGES_ALL |
  PRINT_PAGES_CURRENT |
  PRINT_PAGES_RANGES |
  PRINT_PAGES_SELECTION |

enum Gtk::PrintQuality

Enumerator:

  PRINT_QUALITY_LOW |
  PRINT_QUALITY_NORMAL |
  PRINT_QUALITY_HIGH |
  PRINT_QUALITY_DRAFT |

enum Gtk::PrintStatus

Enumerator:

  PRINT_STATUS_INITIAL |
  PRINT_STATUS_PREPARING |
  PRINT_STATUS_GENERATING_DATA |
  PRINT_STATUS_SENDING_DATA |
  PRINT_STATUS_PENDING |
  PRINT_STATUS_PENDING_ISSUE |
  PRINT_STATUS_PRINTING |
  PRINT_STATUS_FINISHED |
  PRINT_STATUS_FINISHED_ABORTED |

enum Gtk::RecentFilterFlags

Bitwise operators:
  `RecentFilterFlags operator|(RecentFilterFlags, RecentFilterFlags)`
  `RecentFilterFlags operator&(RecentFilterFlags, RecentFilterFlags)`
  `RecentFilterFlags operator^(RecentFilterFlags, RecentFilterFlags)`
  `RecentFilterFlags operator~(RecentFilterFlags)`
  `RecentFilterFlags& operator|=(RecentFilterFlags&, RecentFilterFlags)`
  `RecentFilterFlags& operator&=(RecentFilterFlags&, RecentFilterFlags)`
  `RecentFilterFlags& operator^=(RecentFilterFlags&, RecentFilterFlags)`

Enumerator:

  RECENT_FILTER_URI |
  RECENT_FILTER_DISPLAY_NAME |
  RECENT_FILTER_MIME_TYPE |
  RECENT_FILTER_APPLICATION |
  RECENT_FILTER_GROUP |
  RECENT_FILTER_AGE |

enum Gtk::RecentSortType

Enumerator:

  RECENT_SORT_NONE |
  RECENT_SORT_MRU |
  RECENT_SORT_LRU |
  RECENT_SORT_CUSTOM |

enum Gtk::RegionFlags

Bitwise operators:
  `RegionFlags operator|(RegionFlags, RegionFlags)`
  `RegionFlags operator&(RegionFlags, RegionFlags)`
  `RegionFlags operator^(RegionFlags, RegionFlags)`
  `RegionFlags operator~(RegionFlags)`
  `RegionFlags& operator|=(RegionFlags&, RegionFlags)`
  `RegionFlags& operator&=(RegionFlags&, RegionFlags)`
  `RegionFlags& operator^=(RegionFlags&, RegionFlags)`

Enumerator:

  REGION_EVEN |
  REGION_ODD |
  REGION_FIRST |
  REGION_LAST |
  REGION_SORTED |

enum Gtk::ReliefStyle

Enumerator:

  RELIEF_NORMAL |
  RELIEF_HALF |
  RELIEF_NONE |

enum Gtk::ResizeMode

Enumerator:

  RESIZE_PARENT |
  RESIZE_QUEUE |
  RESIZE_IMMEDIATE |

enum Gtk::ResponseType

Enumerator:

  RESPONSE_NONE |
  RESPONSE_REJECT |
  RESPONSE_ACCEPT |
  RESPONSE_DELETE_EVENT |
  RESPONSE_OK |
  RESPONSE_CANCEL |
  RESPONSE_CLOSE |
  RESPONSE_YES |
  RESPONSE_NO |
  RESPONSE_APPLY |
  RESPONSE_HELP |

enum Gtk::ScrollablePolicy

Enumerator:

  SCROLL_MINIMUM |
  SCROLL_NATURAL |

enum Gtk::ScrollType

Enumerator:

  SCROLL_NONE |
  SCROLL_JUMP |
  SCROLL_STEP_BACKWARD |
  SCROLL_STEP_FORWARD |
  SCROLL_PAGE_BACKWARD |
  SCROLL_PAGE_FORWARD |
  SCROLL_STEP_UP |
  SCROLL_STEP_DOWN |
  SCROLL_PAGE_UP |
  SCROLL_PAGE_DOWN |
  SCROLL_STEP_LEFT |
  SCROLL_STEP_RIGHT |
  SCROLL_PAGE_LEFT |
  SCROLL_PAGE_RIGHT |
  SCROLL_START |
  SCROLL_END |

enum Gtk::SelectionMode

Enumerator:

  SELECTION_NONE |
  SELECTION_SINGLE |
  SELECTION_BROWSE |
  SELECTION_MULTIPLE |

enum Gtk::SensitivityType

Enumerator:

  SENSITIVITY_AUTO |
  SENSITIVITY_ON |
  SENSITIVITY_OFF |

enum Gtk::ShadowType

Enumerator:

  SHADOW_NONE |
  SHADOW_IN |
  SHADOW_OUT |
  SHADOW_ETCHED_IN |
  SHADOW_ETCHED_OUT |

enum Gtk::SizeGroupMode

Enumerator:

  SIZE_GROUP_NONE |
  SIZE_GROUP_HORIZONTAL |
  SIZE_GROUP_VERTICAL |
  SIZE_GROUP_BOTH |

enum Gtk::SizeRequestMode

Enumerator:

  SIZE_REQUEST_HEIGHT_FOR_WIDTH |
  SIZE_REQUEST_WIDTH_FOR_HEIGHT |

enum Gtk::SortType

Enumerator:

  SORT_ASCENDING |
  SORT_DESCENDING |

enum Gtk::SpinButtonUpdatePolicy

Enumerator:

  UPDATE_ALWAYS |
  UPDATE_IF_VALID |

enum Gtk::SpinType

Enumerator:

  SPIN_STEP_FORWARD |
  SPIN_STEP_BACKWARD |
  SPIN_PAGE_FORWARD |
  SPIN_PAGE_BACKWARD |
  SPIN_HOME |
  SPIN_END |
  SPIN_USER_DEFINED |

enum Gtk::StateFlags

Bitwise operators:
  `StateFlags operator|(StateFlags, StateFlags)`
  `StateFlags operator&(StateFlags, StateFlags)`
  `StateFlags operator^(StateFlags, StateFlags)`
  `StateFlags operator~(StateFlags)`
  `StateFlags& operator|=(StateFlags&, StateFlags)`
  `StateFlags& operator&=(StateFlags&, StateFlags)`
  `StateFlags& operator^=(StateFlags&, StateFlags)`

Enumerator:

  STATE_FLAG_NORMAL |
  STATE_FLAG_ACTIVE |
  STATE_FLAG_PRELIGHT |
  STATE_FLAG_SELECTED |
  STATE_FLAG_INSENSITIVE |
  STATE_FLAG_INCONSISTENT |
  STATE_FLAG_FOCUSED |

enum Gtk::StateType

Enumerator:

  STATE_NORMAL |
  STATE_ACTIVE |
  STATE_PRELIGHT |
  STATE_SELECTED |
  STATE_INSENSITIVE |
  STATE_INCONSISTENT |
  STATE_FOCUSED |

enum Gtk::TargetFlags

Bitwise operators:
  `TargetFlags operator|(TargetFlags, TargetFlags)`
  `TargetFlags operator&(TargetFlags, TargetFlags)`
  `TargetFlags operator^(TargetFlags, TargetFlags)`
  `TargetFlags operator~(TargetFlags)`
  `TargetFlags& operator|=(TargetFlags&, TargetFlags)`
  `TargetFlags& operator&=(TargetFlags&, TargetFlags)`
  `TargetFlags& operator^=(TargetFlags&, TargetFlags)`

Enumerator:

  TARGET_SAME_APP |
  TARGET_SAME_WIDGET |
  TARGET_OTHER_APP |
  TARGET_OTHER_WIDGET |

enum Gtk::TextDirection

Enumerator:

  TEXT_DIR_NONE |
  TEXT_DIR_LTR |
  TEXT_DIR_RTL |

enum Gtk::TextSearchFlags

Bitwise operators:
  `TextSearchFlags operator|(TextSearchFlags, TextSearchFlags)`
  `TextSearchFlags operator&(TextSearchFlags, TextSearchFlags)`
  `TextSearchFlags operator^(TextSearchFlags, TextSearchFlags)`
  `TextSearchFlags operator~(TextSearchFlags)`
  `TextSearchFlags& operator|=(TextSearchFlags&, TextSearchFlags)`
  `TextSearchFlags& operator&=(TextSearchFlags&, TextSearchFlags)`
  `TextSearchFlags& operator^=(TextSearchFlags&, TextSearchFlags)`

Enumerator:

  TEXT_SEARCH_VISIBLE_ONLY |
  TEXT_SEARCH_TEXT_ONLY |
  TEXT_SEARCH_CASE_INSENSITIVE |

enum Gtk::TextWindowType

Enumerator:

  TEXT_WINDOW_PRIVATE |
  TEXT_WINDOW_WIDGET |
  TEXT_WINDOW_TEXT |
  TEXT_WINDOW_LEFT |
  TEXT_WINDOW_RIGHT |
  TEXT_WINDOW_TOP |
  TEXT_WINDOW_BOTTOM |

enum Gtk::ToolbarStyle

Enumerator:

  TOOLBAR_ICONS |
  TOOLBAR_TEXT |
  TOOLBAR_BOTH |
  TOOLBAR_BOTH_HORIZ |

enum Gtk::ToolPaletteDragTargets

Bitwise operators:
  `ToolPaletteDragTargets operator|(ToolPaletteDragTargets, ToolPaletteDragTargets)`
  `ToolPaletteDragTargets operator&(ToolPaletteDragTargets, ToolPaletteDragTargets)`
  `ToolPaletteDragTargets operator^(ToolPaletteDragTargets, ToolPaletteDragTargets)`
  `ToolPaletteDragTargets operator~(ToolPaletteDragTargets)`
  `ToolPaletteDragTargets& operator|=(ToolPaletteDragTargets&, ToolPaletteDragTargets)`
  `ToolPaletteDragTargets& operator&=(ToolPaletteDragTargets&, ToolPaletteDragTargets)`
  `ToolPaletteDragTargets& operator^=(ToolPaletteDragTargets&, ToolPaletteDragTargets)`

Enumerator:

  TOOL_PALETTE_DRAG_ITEMS |
  TOOL_PALETTE_DRAG_GROUPS |

enum Gtk::TreeModelFlags

Bitwise operators:
  `TreeModelFlags operator|(TreeModelFlags, TreeModelFlags)`
  `TreeModelFlags operator&(TreeModelFlags, TreeModelFlags)`
  `TreeModelFlags operator^(TreeModelFlags, TreeModelFlags)`
  `TreeModelFlags operator~(TreeModelFlags)`
  `TreeModelFlags& operator|=(TreeModelFlags&, TreeModelFlags)`
  `TreeModelFlags& operator&=(TreeModelFlags&, TreeModelFlags)`
  `TreeModelFlags& operator^=(TreeModelFlags&, TreeModelFlags)`

Enumerator:

  TREE_MODEL_ITERS_PERSIST |
  TREE_MODEL_LIST_ONLY |

enum Gtk::TreeViewColumnSizing

Enumerator:

  TREE_VIEW_COLUMN_GROW_ONLY |
  TREE_VIEW_COLUMN_AUTOSIZE |
  TREE_VIEW_COLUMN_FIXED |

enum Gtk::TreeViewDropPosition

Enumerator:

  TREE_VIEW_DROP_BEFORE |
  TREE_VIEW_DROP_AFTER |
  TREE_VIEW_DROP_INTO_OR_BEFORE |
  TREE_VIEW_DROP_INTO_OR_AFTER |

enum Gtk::TreeViewGridLines

Enumerator:

  TREE_VIEW_GRID_LINES_NONE |
  TREE_VIEW_GRID_LINES_HORIZONTAL |
  TREE_VIEW_GRID_LINES_VERTICAL |
  TREE_VIEW_GRID_LINES_BOTH |

enum Gtk::UIManagerItemType

Bitwise operators:
  `UIManagerItemType operator|(UIManagerItemType, UIManagerItemType)`
  `UIManagerItemType operator&(UIManagerItemType, UIManagerItemType)`
  `UIManagerItemType operator^(UIManagerItemType, UIManagerItemType)`
  `UIManagerItemType operator~(UIManagerItemType)`
  `UIManagerItemType& operator|=(UIManagerItemType&, UIManagerItemType)`
  `UIManagerItemType& operator&=(UIManagerItemType&, UIManagerItemType)`
  `UIManagerItemType& operator^=(UIManagerItemType&, UIManagerItemType)`

Enumerator:

  UI_MANAGER_AUTO |
  UI_MANAGER_MENUBAR |
  UI_MANAGER_MENU |
  UI_MANAGER_TOOLBAR |
  UI_MANAGER_PLACEHOLDER |
  UI_MANAGER_POPUP |
  UI_MANAGER_MENUITEM |
  UI_MANAGER_TOOLITEM |
  UI_MANAGER_SEPARATOR |
  UI_MANAGER_ACCELERATOR |
  UI_MANAGER_POPUP_WITH_ACCELS |

enum Gtk::Unit

Enumerator:

  UNIT_PIXEL |
  UNIT_POINTS |
  UNIT_INCH |
  UNIT_MM |

enum Gtk::WidgetHelpType

Enumerator:

  WIDGET_HELP_TOOLTIP |
  WIDGET_HELP_WHATS_THIS |

enum Gtk::WindowPosition

Enumerator:

  WIN_POS_NONE |
  WIN_POS_CENTER |
  WIN_POS_MOUSE |
  WIN_POS_CENTER_ALWAYS |
  WIN_POS_CENTER_ON_PARENT |

enum Gtk::WindowType

Enumerator:

  WINDOW_TOPLEVEL |
  WINDOW_POPUP |

enum Gtk::WrapMode

Enumerator:

  WRAP_NONE |
  WRAP_CHAR |
  WRAP_WORD |
  WRAP_WORD_CHAR |

## Function Documentation

CalendarDisplayOptions Gtk::operator& | ( | CalendarDisplayOptions | lhs,
|  | CalendarDisplayOptions | rhs
| ) |  | `[inline]`

CellRendererState Gtk::operator& | ( | CellRendererState | lhs,
|  | CellRendererState | rhs
| ) |  | `[inline]`

AccelFlags Gtk::operator& | ( | AccelFlags | lhs,
|  | AccelFlags | rhs
| ) |  | `[inline]`

IconLookupFlags Gtk::operator& | ( | IconLookupFlags | lhs,
|  | IconLookupFlags | rhs
| ) |  | `[inline]`

RegionFlags Gtk::operator& | ( | RegionFlags | lhs,
|  | RegionFlags | rhs
| ) |  | `[inline]`

RecentFilterFlags Gtk::operator& | ( | RecentFilterFlags | lhs,
|  | RecentFilterFlags | rhs
| ) |  | `[inline]`

TextSearchFlags Gtk::operator& | ( | TextSearchFlags | lhs,
|  | TextSearchFlags | rhs
| ) |  | `[inline]`

AttachOptions Gtk::operator& | ( | AttachOptions | lhs,
|  | AttachOptions | rhs
| ) |  | `[inline]`

ToolPaletteDragTargets Gtk::operator& | ( | ToolPaletteDragTargets | lhs,
|  | ToolPaletteDragTargets | rhs
| ) |  | `[inline]`

JunctionSides Gtk::operator& | ( | JunctionSides | lhs,
|  | JunctionSides | rhs
| ) |  | `[inline]`

TreeModelFlags Gtk::operator& | ( | TreeModelFlags | lhs,
|  | TreeModelFlags | rhs
| ) |  | `[inline]`

TargetFlags Gtk::operator& | ( | TargetFlags | lhs,
|  | TargetFlags | rhs
| ) |  | `[inline]`

StateFlags Gtk::operator& | ( | StateFlags | lhs,
|  | StateFlags | rhs
| ) |  | `[inline]`

UIManagerItemType Gtk::operator& | ( | UIManagerItemType | lhs,
|  | UIManagerItemType | rhs
| ) |  | `[inline]`

DestDefaults Gtk::operator& | ( | DestDefaults | lhs,
|  | DestDefaults | rhs
| ) |  | `[inline]`

FileFilterFlags Gtk::operator& | ( | FileFilterFlags | lhs,
|  | FileFilterFlags | rhs
| ) |  | `[inline]`

PrintCapabilities Gtk::operator& | ( | PrintCapabilities | lhs,
|  | PrintCapabilities | rhs
| ) |  | `[inline]`

TargetFlags& Gtk::operator&= | ( | TargetFlags & | lhs,
|  | TargetFlags | rhs
| ) |  | `[inline]`

IconLookupFlags& Gtk::operator&= | ( | IconLookupFlags & | lhs,
|  | IconLookupFlags | rhs
| ) |  | `[inline]`

RecentFilterFlags& Gtk::operator&= | ( | RecentFilterFlags & | lhs,
|  | RecentFilterFlags | rhs
| ) |  | `[inline]`

TextSearchFlags& Gtk::operator&= | ( | TextSearchFlags & | lhs,
|  | TextSearchFlags | rhs
| ) |  | `[inline]`

RegionFlags& Gtk::operator&= | ( | RegionFlags & | lhs,
|  | RegionFlags | rhs
| ) |  | `[inline]`

AccelFlags& Gtk::operator&= | ( | AccelFlags & | lhs,
|  | AccelFlags | rhs
| ) |  | `[inline]`

ToolPaletteDragTargets& Gtk::operator&= | ( | ToolPaletteDragTargets & | lhs,
|  | ToolPaletteDragTargets | rhs
| ) |  | `[inline]`

TreeModelFlags& Gtk::operator&= | ( | TreeModelFlags & | lhs,
|  | TreeModelFlags | rhs
| ) |  | `[inline]`

CellRendererState& Gtk::operator&= | ( | CellRendererState & | lhs,
|  | CellRendererState | rhs
| ) |  | `[inline]`

JunctionSides& Gtk::operator&= | ( | JunctionSides & | lhs,
|  | JunctionSides | rhs
| ) |  | `[inline]`

AttachOptions& Gtk::operator&= | ( | AttachOptions & | lhs,
|  | AttachOptions | rhs
| ) |  | `[inline]`

UIManagerItemType& Gtk::operator&= | ( | UIManagerItemType & | lhs,
|  | UIManagerItemType | rhs
| ) |  | `[inline]`

StateFlags& Gtk::operator&= | ( | StateFlags & | lhs,
|  | StateFlags | rhs
| ) |  | `[inline]`

DestDefaults& Gtk::operator&= | ( | DestDefaults & | lhs,
|  | DestDefaults | rhs
| ) |  | `[inline]`

CalendarDisplayOptions& Gtk::operator&= | ( | CalendarDisplayOptions & | lhs,
|  | CalendarDisplayOptions | rhs
| ) |  | `[inline]`

PrintCapabilities& Gtk::operator&= | ( | PrintCapabilities & | lhs,
|  | PrintCapabilities | rhs
| ) |  | `[inline]`

FileFilterFlags& Gtk::operator&= | ( | FileFilterFlags & | lhs,
|  | FileFilterFlags | rhs
| ) |  | `[inline]`

IconLookupFlags Gtk::operator^ | ( | IconLookupFlags | lhs,
|  | IconLookupFlags | rhs
| ) |  | `[inline]`

AccelFlags Gtk::operator^ | ( | AccelFlags | lhs,
|  | AccelFlags | rhs
| ) |  | `[inline]`

RecentFilterFlags Gtk::operator^ | ( | RecentFilterFlags | lhs,
|  | RecentFilterFlags | rhs
| ) |  | `[inline]`

RegionFlags Gtk::operator^ | ( | RegionFlags | lhs,
|  | RegionFlags | rhs
| ) |  | `[inline]`

TextSearchFlags Gtk::operator^ | ( | TextSearchFlags | lhs,
|  | TextSearchFlags | rhs
| ) |  | `[inline]`

CellRendererState Gtk::operator^ | ( | CellRendererState | lhs,
|  | CellRendererState | rhs
| ) |  | `[inline]`

CalendarDisplayOptions Gtk::operator^ | ( | CalendarDisplayOptions | lhs,
|  | CalendarDisplayOptions | rhs
| ) |  | `[inline]`

ToolPaletteDragTargets Gtk::operator^ | ( | ToolPaletteDragTargets | lhs,
|  | ToolPaletteDragTargets | rhs
| ) |  | `[inline]`

JunctionSides Gtk::operator^ | ( | JunctionSides | lhs,
|  | JunctionSides | rhs
| ) |  | `[inline]`

TreeModelFlags Gtk::operator^ | ( | TreeModelFlags | lhs,
|  | TreeModelFlags | rhs
| ) |  | `[inline]`

AttachOptions Gtk::operator^ | ( | AttachOptions | lhs,
|  | AttachOptions | rhs
| ) |  | `[inline]`

UIManagerItemType Gtk::operator^ | ( | UIManagerItemType | lhs,
|  | UIManagerItemType | rhs
| ) |  | `[inline]`

StateFlags Gtk::operator^ | ( | StateFlags | lhs,
|  | StateFlags | rhs
| ) |  | `[inline]`

DestDefaults Gtk::operator^ | ( | DestDefaults | lhs,
|  | DestDefaults | rhs
| ) |  | `[inline]`

PrintCapabilities Gtk::operator^ | ( | PrintCapabilities | lhs,
|  | PrintCapabilities | rhs
| ) |  | `[inline]`

FileFilterFlags Gtk::operator^ | ( | FileFilterFlags | lhs,
|  | FileFilterFlags | rhs
| ) |  | `[inline]`

TargetFlags Gtk::operator^ | ( | TargetFlags | lhs,
|  | TargetFlags | rhs
| ) |  | `[inline]`

TextSearchFlags& Gtk::operator^= | ( | TextSearchFlags & | lhs,
|  | TextSearchFlags | rhs
| ) |  | `[inline]`

PrintCapabilities& Gtk::operator^= | ( | PrintCapabilities & | lhs,
|  | PrintCapabilities | rhs
| ) |  | `[inline]`

AttachOptions& Gtk::operator^= | ( | AttachOptions & | lhs,
|  | AttachOptions | rhs
| ) |  | `[inline]`

TargetFlags& Gtk::operator^= | ( | TargetFlags & | lhs,
|  | TargetFlags | rhs
| ) |  | `[inline]`

IconLookupFlags& Gtk::operator^= | ( | IconLookupFlags & | lhs,
|  | IconLookupFlags | rhs
| ) |  | `[inline]`

CellRendererState& Gtk::operator^= | ( | CellRendererState & | lhs,
|  | CellRendererState | rhs
| ) |  | `[inline]`

RecentFilterFlags& Gtk::operator^= | ( | RecentFilterFlags & | lhs,
|  | RecentFilterFlags | rhs
| ) |  | `[inline]`

TreeModelFlags& Gtk::operator^= | ( | TreeModelFlags & | lhs,
|  | TreeModelFlags | rhs
| ) |  | `[inline]`

RegionFlags& Gtk::operator^= | ( | RegionFlags & | lhs,
|  | RegionFlags | rhs
| ) |  | `[inline]`

DestDefaults& Gtk::operator^= | ( | DestDefaults & | lhs,
|  | DestDefaults | rhs
| ) |  | `[inline]`

ToolPaletteDragTargets& Gtk::operator^= | ( | ToolPaletteDragTargets & | lhs,
|  | ToolPaletteDragTargets | rhs
| ) |  | `[inline]`

AccelFlags& Gtk::operator^= | ( | AccelFlags & | lhs,
|  | AccelFlags | rhs
| ) |  | `[inline]`

JunctionSides& Gtk::operator^= | ( | JunctionSides & | lhs,
|  | JunctionSides | rhs
| ) |  | `[inline]`

StateFlags& Gtk::operator^= | ( | StateFlags & | lhs,
|  | StateFlags | rhs
| ) |  | `[inline]`

UIManagerItemType& Gtk::operator^= | ( | UIManagerItemType & | lhs,
|  | UIManagerItemType | rhs
| ) |  | `[inline]`

CalendarDisplayOptions& Gtk::operator^= | ( | CalendarDisplayOptions & | lhs,
|  | CalendarDisplayOptions | rhs
| ) |  | `[inline]`

FileFilterFlags& Gtk::operator^= | ( | FileFilterFlags & | lhs,
|  | FileFilterFlags | rhs
| ) |  | `[inline]`

IconLookupFlags Gtk::operator| | ( | IconLookupFlags | lhs,
|  | IconLookupFlags | rhs
| ) |  | `[inline]`

CalendarDisplayOptions Gtk::operator| | ( | CalendarDisplayOptions | lhs,
|  | CalendarDisplayOptions | rhs
| ) |  | `[inline]`

ToolPaletteDragTargets Gtk::operator| | ( | ToolPaletteDragTargets | lhs,
|  | ToolPaletteDragTargets | rhs
| ) |  | `[inline]`

CellRendererState Gtk::operator| | ( | CellRendererState | lhs,
|  | CellRendererState | rhs
| ) |  | `[inline]`

RegionFlags Gtk::operator| | ( | RegionFlags | lhs,
|  | RegionFlags | rhs
| ) |  | `[inline]`

JunctionSides Gtk::operator| | ( | JunctionSides | lhs,
|  | JunctionSides | rhs
| ) |  | `[inline]`

TextSearchFlags Gtk::operator| | ( | TextSearchFlags | lhs,
|  | TextSearchFlags | rhs
| ) |  | `[inline]`

FileFilterFlags Gtk::operator| | ( | FileFilterFlags | lhs,
|  | FileFilterFlags | rhs
| ) |  | `[inline]`

AttachOptions Gtk::operator| | ( | AttachOptions | lhs,
|  | AttachOptions | rhs
| ) |  | `[inline]`

PrintCapabilities Gtk::operator| | ( | PrintCapabilities | lhs,
|  | PrintCapabilities | rhs
| ) |  | `[inline]`

TargetFlags Gtk::operator| | ( | TargetFlags | lhs,
|  | TargetFlags | rhs
| ) |  | `[inline]`

UIManagerItemType Gtk::operator| | ( | UIManagerItemType | lhs,
|  | UIManagerItemType | rhs
| ) |  | `[inline]`

StateFlags Gtk::operator| | ( | StateFlags | lhs,
|  | StateFlags | rhs
| ) |  | `[inline]`

DestDefaults Gtk::operator| | ( | DestDefaults | lhs,
|  | DestDefaults | rhs
| ) |  | `[inline]`

TreeModelFlags Gtk::operator| | ( | TreeModelFlags | lhs,
|  | TreeModelFlags | rhs
| ) |  | `[inline]`

RecentFilterFlags Gtk::operator| | ( | RecentFilterFlags | lhs,
|  | RecentFilterFlags | rhs
| ) |  | `[inline]`

AccelFlags Gtk::operator| | ( | AccelFlags | lhs,
|  | AccelFlags | rhs
| ) |  | `[inline]`

CalendarDisplayOptions& Gtk::operator|= | ( | CalendarDisplayOptions & | lhs,
|  | CalendarDisplayOptions | rhs
| ) |  | `[inline]`

FileFilterFlags& Gtk::operator|= | ( | FileFilterFlags & | lhs,
|  | FileFilterFlags | rhs
| ) |  | `[inline]`

CellRendererState& Gtk::operator|= | ( | CellRendererState & | lhs,
|  | CellRendererState | rhs
| ) |  | `[inline]`

TargetFlags& Gtk::operator|= | ( | TargetFlags & | lhs,
|  | TargetFlags | rhs
| ) |  | `[inline]`

DestDefaults& Gtk::operator|= | ( | DestDefaults & | lhs,
|  | DestDefaults | rhs
| ) |  | `[inline]`

IconLookupFlags& Gtk::operator|= | ( | IconLookupFlags & | lhs,
|  | IconLookupFlags | rhs
| ) |  | `[inline]`

RegionFlags& Gtk::operator|= | ( | RegionFlags & | lhs,
|  | RegionFlags | rhs
| ) |  | `[inline]`

StateFlags& Gtk::operator|= | ( | StateFlags & | lhs,
|  | StateFlags | rhs
| ) |  | `[inline]`

TextSearchFlags& Gtk::operator|= | ( | TextSearchFlags & | lhs,
|  | TextSearchFlags | rhs
| ) |  | `[inline]`

PrintCapabilities& Gtk::operator|= | ( | PrintCapabilities & | lhs,
|  | PrintCapabilities | rhs
| ) |  | `[inline]`

ToolPaletteDragTargets& Gtk::operator|= | ( | ToolPaletteDragTargets & | lhs,
|  | ToolPaletteDragTargets | rhs
| ) |  | `[inline]`

TreeModelFlags& Gtk::operator|= | ( | TreeModelFlags & | lhs,
|  | TreeModelFlags | rhs
| ) |  | `[inline]`

AttachOptions& Gtk::operator|= | ( | AttachOptions & | lhs,
|  | AttachOptions | rhs
| ) |  | `[inline]`

RecentFilterFlags& Gtk::operator|= | ( | RecentFilterFlags & | lhs,
|  | RecentFilterFlags | rhs
| ) |  | `[inline]`

AccelFlags& Gtk::operator|= | ( | AccelFlags & | lhs,
|  | AccelFlags | rhs
| ) |  | `[inline]`

UIManagerItemType& Gtk::operator|= | ( | UIManagerItemType & | lhs,
|  | UIManagerItemType | rhs
| ) |  | `[inline]`

JunctionSides& Gtk::operator|= | ( | JunctionSides & | lhs,
|  | JunctionSides | rhs
| ) |  | `[inline]`

PrintCapabilities Gtk::operator~ | ( | PrintCapabilities | flags | ) | `[inline]`

UIManagerItemType Gtk::operator~ | ( | UIManagerItemType | flags | ) | `[inline]`

TargetFlags Gtk::operator~ | ( | TargetFlags | flags | ) | `[inline]`

CalendarDisplayOptions Gtk::operator~ | ( | CalendarDisplayOptions | flags | ) | `[inline]`

TreeModelFlags Gtk::operator~ | ( | TreeModelFlags | flags | ) | `[inline]`

RegionFlags Gtk::operator~ | ( | RegionFlags | flags | ) | `[inline]`

IconLookupFlags Gtk::operator~ | ( | IconLookupFlags | flags | ) | `[inline]`

FileFilterFlags Gtk::operator~ | ( | FileFilterFlags | flags | ) | `[inline]`

StateFlags Gtk::operator~ | ( | StateFlags | flags | ) | `[inline]`

RecentFilterFlags Gtk::operator~ | ( | RecentFilterFlags | flags | ) | `[inline]`

ToolPaletteDragTargets Gtk::operator~ | ( | ToolPaletteDragTargets | flags | ) | `[inline]`

CellRendererState Gtk::operator~ | ( | CellRendererState | flags | ) | `[inline]`

TextSearchFlags Gtk::operator~ | ( | TextSearchFlags | flags | ) | `[inline]`

AccelFlags Gtk::operator~ | ( | AccelFlags | flags | ) | `[inline]`

AttachOptions Gtk::operator~ | ( | AttachOptions | flags | ) | `[inline]`

DestDefaults Gtk::operator~ | ( | DestDefaults | flags | ) | `[inline]`

JunctionSides Gtk::operator~ | ( | JunctionSides | flags | ) | `[inline]`